# Broker Queue

`WS` `request · cmd 15`

> **Quote Permission Required · HK only · LV2 Advanced**
> HK-specific data: provides the top 40 bid/ask broker queues.
> No permission included by default — purchase "LV2 Advanced Quotes - Plus (OpenAPI)" in the Quote Store.
> _OpenAPI quote perms are separate from App/Web perms_

:::warning Longbridge HK / SG accounts only
This method is available to Longbridge HK / SG accounts only. It works with any supported symbol, including US stocks.
:::

This API is used to obtain the real-time broker queue data of security.

```protobuf
message SecurityRequest {
  string symbol = 1;
}

message SecurityBrokersResponse {
  string symbol = 1;
  repeated Brokers ask_brokers = 2;
  repeated Brokers bid_brokers = 3;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security code, in ticker.region format, e.g. 700.HK |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | Security code |
| `ask_brokers` | object[] | No | Ask brokers |
| `└ position` | int32 | No | Position |
| `└ broker_ids` | int32[] | No | Broker IDs, obtained through the Get Broker IDs API |
| `bid_brokers` | object[] | No | Bid brokers |
| `└ position` | int32 | No | Position |
| `└ broker_ids` | int32[] | No | Broker IDs, obtained through the Get Broker IDs API |

## Response JSON Example

```json
{
  "symbol": "700.HK",
  "ask_brokers": [
    {
      "position": 1,
      "broker_ids": [
        7358,
        9057,
        9028,
        7364
      ]
    }
  ],
  "bid_brokers": [
    {
      "position": 1,
      "broker_ids": [
        6996,
        5465,
        8026,
        8304,
        4978
      ]
    }
  ]
}
```
